Fedora Core 3 : lesstif-0.93.36-6.FC3.2 (2005-815)

High Nessus Plugin ID 19721


The remote Fedora Core host is missing a security update.


- Fri May 6 2005 Thomas Woerner <twoerner at redhat.com> 0.93-36-6.FC3.2

- fixed possible libXpm overflows (#151640)

- allow to write XPM files with absolute path names again (#140815)

- Fri Nov 26 2004 Thomas Woerner <twoerner at redhat.com> 0.93.36-6.FC3.1

- fixed CVE-2004-0687 (integer overflows) and CVE-2004-0688 (stack overflows) in embedded Xpm library (#135080)

- latest Xpm patches: CVE-2004-0914 (#135081)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected lesstif, lesstif-debuginfo and / or lesstif-devel packages.

See Also


Plugin Details

Severity: High

ID: 19721

File Name: fedora_2005-815.nasl

Version: $Revision: 1.14 $

Type: local

Agent: unix

Published: 2005/09/17

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:lesstif, p-cpe:/a:fedoraproject:fedora:lesstif-debuginfo, p-cpe:/a:fedoraproject:fedora:lesstif-devel, cpe:/o:fedoraproject:fedora_core:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2005/08/26

Reference Information

FEDORA: 2005-815